Package skyview.geometry.sampler

# Class Combo

java.lang.Object
skyview.geometry.Sampler
skyview.geometry.sampler.Combo

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Component`

public class Combo extends Sampler
This class uses two samplers. The default sampler is used but whenever a NaN is returned, the backup sampler is tried. Normally the default sampler will a high order sampler and the backup sampler will be simpler.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Sampler`
`backup`
`protected String`
`combo`
`protected Sampler`
`primary`

### Fields inherited from class skyview.geometry.Sampler

`bounds, inDepth, inHeight, inImage, inWidth, outDepth, outHeight, outImage, outWidth, trans`

## Constructor Summary

Constructors
Constructor
Description
`Combo()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get the description of this component.
`String`
`getName()`
Get the name of this component.
`void`
`sample(int index)`
Use the primary unless we get a NaN
`void`
`setBounds(int[] bounds)`
Set the bounds of the output image that may be asked for.
`void`
`setInput(Image inImage)`
Set the input image for the sampling
`void`
`setOutput(Image outImage)`
Set the output image for the sampling
`void`
`setTransform(Transformer transform)`
Set the transformation information.

### Methods inherited from class skyview.geometry.Sampler

`clone, factory, setOrder`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### primary

protected Sampler primary

### backup

protected Sampler backup

### combo

protected String combo

## Constructor Details

### Combo

public Combo()

## Method Details

### getName

public String getName()
Description copied from interface: `Component`
Get the name of this component.

### getDescription

public String getDescription()
Description copied from interface: `Component`
Get the description of this component.

### sample

public void sample(int index)
Use the primary unless we get a NaN

Specified by:
  `sample` in class `Sampler`
Parameters:
  `index` - The index into the output array.

### setInput

public void setInput(Image inImage)
Set the input image for the sampling

Overrides:
  `setInput` in class `Sampler`

### setBounds

public void setBounds(int[] bounds)
Set the bounds of the output image that may be asked for.

Overrides:
  `setBounds` in class `Sampler`

### setOutput

public void setOutput(Image outImage)
Set the output image for the sampling

Overrides:
  `setOutput` in class `Sampler`

### setTransform

public void setTransform(Transformer transform)
Set the transformation information.

Overrides:
  `setTransform` in class `Sampler`
Parameters:
  `transform` - The transformer object.